# Uses of Interface
org.eclipse.emf.cdo.session.CDOSessionConfigurationFactory

Packages that use CDOSessionConfigurationFactory
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.net4j
Server concepts for dealing with Net4j-based repositories and fail-over infrastructure.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.spi.workspace
Server provider interfaces (SPI) for CDO `workspaces`.
org.eclipse.emf.cdo.workspace
Concepts to checkout, open and further operate CDO `workspaces`.

## Uses of CDOSessionConfigurationFactory in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDOSessionConfigurationFactory
Modifier and Type
Method
Description
`CDOSessionConfigurationFactory`
IRepositorySynchronizer.`getRemoteSessionConfigurationFactory()`
Methods in org.eclipse.emf.cdo.server with parameters of type CDOSessionConfigurationFactory
Modifier and Type
Method
Description
`static IRepositorySynchronizer`
CDOServerUtil.`createRepositorySynchronizer(CDOSessionConfigurationFactory remoteSessionConfigurationFactory)`

## Uses of CDOSessionConfigurationFactory in org.eclipse.emf.cdo.server.net4j

Classes in org.eclipse.emf.cdo.server.net4j that implement CDOSessionConfigurationFactory
Modifier and Type
Class
Description
`class`
`FailoverAgent`
A repository-side agent for a `fail-over monitor`.

## Uses of CDOSessionConfigurationFactory in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDOSessionConfigurationFactory
Modifier and Type
Method
Description
`void`
InternalRepositorySynchronizer.`setRemoteSessionConfigurationFactory(CDOSessionConfigurationFactory remoteSessionConfigurationFactory)`

## Uses of CDOSessionConfigurationFactory in org.eclipse.emf.cdo.spi.workspace

Methods in org.eclipse.emf.cdo.spi.workspace that return CDOSessionConfigurationFactory
Modifier and Type
Method
Description
`CDOSessionConfigurationFactory`
InternalCDOWorkspace.`getRemoteSessionConfigurationFactory()`

## Uses of CDOSessionConfigurationFactory in org.eclipse.emf.cdo.workspace

Methods in org.eclipse.emf.cdo.workspace that return CDOSessionConfigurationFactory
Modifier and Type
Method
Description
`CDOSessionConfigurationFactory`
CDOWorkspaceConfiguration.`getRemote()`
Methods in org.eclipse.emf.cdo.workspace with parameters of type CDOSessionConfigurationFactory
Modifier and Type
Method
Description
`static CDOWorkspace`
CDOWorkspaceUtil.`checkout(IStore local, CDOWorkspaceBase base, CDOSessionConfigurationFactory remote)`
Deprecated.
Use `CDOWorkspaceUtil.createWorkspaceConfiguration()` and `CDOWorkspaceConfiguration.checkout()`
`static CDOWorkspace`
CDOWorkspaceUtil.`checkout(IStore local, CDOWorkspaceBase base, CDOSessionConfigurationFactory remote, long timeStamp)`
Deprecated.
Use `CDOWorkspaceUtil.createWorkspaceConfiguration()` and `CDOWorkspaceConfiguration.checkout()`
`static CDOWorkspace`
CDOWorkspaceUtil.`checkout(IStore local, CDOWorkspaceBase base, CDOSessionConfigurationFactory remote, String branchPath)`
Deprecated.
Use `CDOWorkspaceUtil.createWorkspaceConfiguration()` and `CDOWorkspaceConfiguration.checkout()`
`static CDOWorkspace`
CDOWorkspaceUtil.`checkout(IStore local, CDOWorkspaceBase base, CDOSessionConfigurationFactory remote, String branchPath, long timeStamp)`
Deprecated.
Use `CDOWorkspaceUtil.createWorkspaceConfiguration()` and `CDOWorkspaceConfiguration.checkout()`
`static CDOWorkspace`
CDOWorkspaceUtil.`open(IStore local, CDOWorkspaceBase base, CDOSessionConfigurationFactory remote)`
Deprecated.
Use `CDOWorkspaceUtil.createWorkspaceConfiguration()` and `CDOWorkspaceConfiguration.open()`
`void`
CDOWorkspaceConfiguration.`setRemote(CDOSessionConfigurationFactory remote)`